Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(92)

Issue 12494012: new style of property/function callbacks (Closed)

Created:
6 years, 5 months ago by dcarney
Modified:
6 years, 3 months ago
CC:
v8-dev, tfarina
Visibility:
Public.

Description

new style of property/function callbacks R=svenpanne@chromium.org BUG= Committed: https://code.google.com/p/v8/source/detail?r=14725

Patch Set 1 #

Total comments: 2

Patch Set 2 : x64 implementation #

Patch Set 3 : lookup table added, still only x64 #

Patch Set 4 : callback setters added #

Patch Set 5 : added some tests, fixed some bugs #

Patch Set 6 : added ia32 #

Patch Set 7 : small fixes #

Patch Set 8 : rebase #

Total comments: 1

Patch Set 9 : cleaner calling convention for ia32 #

Patch Set 10 : add arm #

Patch Set 11 : rebase, correct calling from runtime #

Patch Set 12 : account for apiparameteroperand changes #

Patch Set 13 : rebase #

Patch Set 14 : more testing #

Patch Set 15 : added better tests for function callbacks #

Patch Set 16 : used base register offset model for x64 #

Patch Set 17 : added some comments #

Patch Set 18 : winx64 fixes for new callbacks #

Patch Set 19 : make arm look like other architectures #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1484 lines, -445 lines) Patch
M include/v8.h View 1 2 3 4 5 6 7 8 9 10 11 12 25 chunks +239 lines, -48 lines 0 comments Download
M src/api.cc View 1 2 3 4 5 6 7 8 9 10 11 12 18 chunks +302 lines, -118 lines 0 comments Download
M src/apiutils.h View 1 2 3 4 5 6 1 chunk +0 lines, -25 lines 0 comments Download
M src/arguments.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +242 lines, -19 lines 0 comments Download
A src/arguments.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +195 lines, -0 lines 0 comments Download
M src/arm/macro-assembler-arm.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +4 lines, -1 line 0 comments Download
M src/arm/macro-assembler-arm.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +17 lines, -8 lines 0 comments Download
M src/arm/stub-cache-arm.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 6 chunks +24 lines, -11 lines 0 comments Download
M src/builtins.cc View 1 2 3 4 5 6 7 8 9 10 3 chunks +16 lines, -19 lines 0 comments Download
M src/handles.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +6 lines, -11 lines 0 comments Download
M src/ia32/macro-assembler-ia32.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +6 lines, -3 lines 0 comments Download
M src/ia32/macro-assembler-ia32.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +26 lines, -23 lines 0 comments Download
M src/ia32/stub-cache-ia32.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 7 chunks +43 lines, -23 lines 0 comments Download
M src/isolate.h View 1 2 3 4 5 6 7 8 9 10 3 chunks +9 lines, -0 lines 0 comments Download
M src/isolate.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -1 line 0 comments Download
M src/objects.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 17 chunks +37 lines, -44 lines 0 comments Download
M src/stub-cache.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 5 chunks +31 lines, -18 lines 0 comments Download
M src/x64/macro-assembler-x64.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +5 lines, -2 lines 0 comments Download
M src/x64/macro-assembler-x64.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 4 chunks +26 lines, -15 lines 0 comments Download
src/x64/stub-cache-x64.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 9 chunks +39 lines, -20 lines 0 comments Download
M test/cctest/test-api.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 11 chunks +214 lines, -36 lines 0 comments Download
M tools/gyp/v8.gyp View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
Michael Starzinger
Just two comments about the naming of the class for the output parameter. The rest ...
6 years, 5 months ago (2013-03-18 13:57:05 UTC) #1
dcarney
will someone please review me?
6 years, 3 months ago (2013-05-03 13:24:38 UTC) #2
tfarina
https://chromiumcodereview.appspot.com/12494012/diff/28001/src/x64/macro-assembler-x64.h File src/x64/macro-assembler-x64.h (right): https://chromiumcodereview.appspot.com/12494012/diff/28001/src/x64/macro-assembler-x64.h#newcode1230 src/x64/macro-assembler-x64.h:1230: Address function_address, super tiny nit: doesn't fit in 80 ...
6 years, 3 months ago (2013-05-03 16:33:46 UTC) #3
Sven Panne
lgtm
6 years, 3 months ago (2013-05-07 09:45:05 UTC) #4
Sven Panne
Just for the record: There seem to be some Windows problems, after these are fixed, ...
6 years, 3 months ago (2013-05-15 12:07:22 UTC) #5
Sven Panne
LGTM again, if a short overview comment is added what the new machinery in arguments.{h,cc} ...
6 years, 3 months ago (2013-05-15 13:36:30 UTC) #6
dcarney
6 years, 3 months ago (2013-05-21 06:36:41 UTC) #7
Message was sent while issue was closed.
Committed patchset #19 manually as r14725 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698